<?php

namespace Fastrack\Utilities\PaymentGateway;

use stdClass;

class Card
{

	private stdClass $data;

	public function __construct(stdClass $data)
	{
		$this->data = $data;
	}

	public function getCardHolderName(): string
	{
		return $this->data->cardHolderName;
	}

	public function getCardNumber(): string
	{
		return $this->data->cardNumber;
	}

	public function getDateExpiryMonth(): string
	{
		return $this->data->dateExpiryMonth;
	}

	public function getDateExpiryYear(): string
	{
		return $this->data->dateExpiryYear;
	}

	public function getType(): string
	{
		return $this->data->type;
	}


}
