<?php


namespace Fastrack\Utilities;


use SilverStripe\Control\HTTPRequest;
use SilverStripe\Core\Injector\Injector;

class FlashMessage
{

	public static function write(HTTPRequest $request, $message, $isError)
	{
		$request->getSession()->set('FlashMessage', $message);
		$request->getSession()->set('FlashStatus', $isError ? 'error' : 'success');
		$request->getSession()->set('FlashSeen', false);
	}

}
