<?php

namespace Fastrack\Utilities\ServicesApi;

use stdClass;

class Policies
{

	private stdClass $data;

	public function __construct(stdClass $data)
	{
		$this->data = $data;
	}

	public function getCarParking(): string
	{
		return isset($this->data->carParking) ? nl2br($this->data->carParking) : '';
	}

	public function getCancellationPolicy(): string
	{
		return isset($this->data->cancellationPolicy) ? nl2br($this->data->cancellationPolicy) : '';
	}

	public function getPetPolicy(): string
	{
		return isset($this->data->petPolicy) ? nl2br($this->data->petPolicy) : '';
	}

	public function getTerms(): string
	{
		return isset($this->data->terms) ? nl2br($this->data->terms) : '';
	}

}
