<?php

namespace Fastrack\Utilities;

class Slug
{

	public static function generateSlug($name, $slug)
	{
		$string = ($slug) ? $slug : $name;
		return strtolower(trim(preg_replace('/[^A-Za-z0-9-]+/', '-', trim($string))));
	}

	public static function deSlug(string $slug): string
	{
		return ucfirst(str_replace('-', ' ', trim($slug)));
	}
}
